Bug 187431 - Switching from X desktop to text console kills X.
Switching from X desktop to text console kills X.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 16:05 EST by JB Segal
Modified: 2008-05-06 11:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description JB Segal 2006-03-30 16:05:53 EST
Description of problem:


Version-Release number of selected component (if applicable):
FC5 (also FC4),
xorg-x11-server-Xorg-1.0.1-9 (and all various FC4 versions.)
gnome environment.

How reproducible:
Consistently. (Hardware is a Dell Optiplex 170L, if it matters, which it might.)

Steps to Reproduce:
1. From X environment, hit Ctrl-Alt-F(1-6,8-10)
2. From text console, hit Alt-F7
3. Watch as X restarts, rather than resuming the session you were in the midst
of already.
  
Actual results:
Current X session is destroyed.

Expected results:
Resumption of current session in as-left state.

Additional info:
As I say, this has been happening since I first installed FC4, 10 months ago or so.
Is this X? Is this gnome? Is this something else? I don't know. Sorry.
Comment 1 Mike A. Harris 2006-05-19 05:56:23 EDT
In order to diagnose problems of this nature, we need additional information
including:

- The video hardware you are using.

- Your X server log file and config file as individual uncompressed bugzilla
  file attachments of type text/plain

- Your kernel log including initial bootup through the point of failure.
  (If this log is more than a half a meg, please gzip it)


> As I say, this has been happening since I first installed FC4, 10 months ago
or so.
> Is this X? Is this gnome? Is this something else? I don't know. Sorry.

In order to determine what specifically is causing the problem, more
information is required.  It could be a video driver bug, an X server
bug, a kernel bug, a BIOS bug, a hardware glitch, or even things
unrelated to video at all, such as a buggy sound driver or other
hardware driver causing a conflict of some sort with a race condition.

Once you've provided the additional information requested, we can
review it and try to determine if anything obvious jumps out.  Usually
problems of this nature turn out to be video driver bugs or kernel
bugs, or a combination, but all of the possibilities I've mentioned
above have occured over time, so anything is ultimately possible.

Thanks in advance.
Comment 3 Matěj Cepl 2007-06-28 11:24:36 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 4 Matěj Cepl 2007-07-03 09:49:19 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 5 Bug Zapper 2008-04-03 22:23:24 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 11:42:59 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.